# Plan

| Name                       | Type                                                                     | Description                                                                   |
| -------------------------- | ------------------------------------------------------------------------ | ----------------------------------------------------------------------------- |
| addon                      | Boolean                                                                  | True if the plan is an add-on                                                 |
| addonPlans                 | List ([Plan](/developer/api-reference/types/plan.md))                    | List of addon plans                                                           |
| allowMultipleSubscriptions | Boolean                                                                  | Allows multiple subscriptions of this plan on the same account                |
| availableFrom              | ISO8601Date                                                              | First date the plan is available for sale                                     |
| availableTo                | ISO8601Date                                                              | Late date the plan is available for sale                                      |
| basePrice                  | Float                                                                    | Returns the lowest price in all plan charges                                  |
| code                       | String                                                                   | Unique code                                                                   |
| compatiblePlanIds          | List (ID)                                                                | List of compatible plan IDs                                                   |
| compatiblePlans            | List ([Plan](/developer/api-reference/types/plan.md))                    | List of compatible plans (ie plans that can be a parent plan to self)         |
| contactUsLabel             | String                                                                   | Label for the contact us button                                               |
| contactUsUrl               | String                                                                   | URL for the contact us button                                                 |
| createdAt                  | ISO8601DateTime                                                          | Timestamp the plan was created                                                |
| customFieldDefinitions     | List ([CustomField](/developer/api-reference/types/customfield.md))      | Custom field definitions for this object type                                 |
| customFieldsData           | JSON                                                                     | All custom field values for this object as a JSON object                      |
| description                | String                                                                   | Customer-facing description of the plan                                       |
| features                   | List ([Feature](/developer/api-reference/types/feature.md))              | List of features specified on this plan                                       |
| hasCustomFields            | Boolean                                                                  | Whether this object type has any custom fields defined                        |
| id                         | ID                                                                       | Unique identifier for the plan                                                |
| internalNotes              | String                                                                   | Intenal notes about the plan                                                  |
| isAvailableNow             | Boolean                                                                  | Convenient boolean that shows whether the plan is available right now         |
| isVisible                  | Boolean                                                                  | Controls whether the plan is visible for sale regardless of avilability dates |
| name                       | String                                                                   | Unique plan name                                                              |
| planFeatures               | List ([PlanFeature](/developer/api-reference/types/planfeature.md))      | List of features specified on this plan                                       |
| position                   | Int                                                                      | The plan's position wihtin the product                                        |
| priceLists                 | List ([PriceList](/developer/api-reference/types/pricelist.md))          | Price lists for this plan                                                     |
| pricingDescription         | String                                                                   | Text to display on the portal for the plan's period                           |
| pricingStyle               | [PlanPricingStyles](/developer/api-reference/enums.md#planpricingstyles) | The plan's pricing style                                                      |
| product                    | [Product](/developer/api-reference/types/product.md)                     |                                                                               |
| productId                  | ID                                                                       | The ID of the product the plan belongs to                                     |
| productPlanName            | String                                                                   |                                                                               |
| selfServiceBuy             | Boolean                                                                  | Allows customers to buy this plan via the portal                              |
| selfServiceCancel          | Boolean                                                                  | Allows customers to cancel this plan via the portal                           |
| selfServiceRenew           | Boolean                                                                  | Allows customers to renew this plan via the portal                            |
| updatedAt                  | ISO8601DateTime                                                          | Timestamp the plan was last updated                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
